Skip to main content
Minimum system requirements

What you need to run the Garden Planner

Updated over a week ago

The Garden Planner works on:

PCs running Windows 8 or above

Mac OS X 10.4 or above

Linux (e.g. Ubuntu 7.10 or later)

iPad running iOS 12 and newer

Most other reasonably fast tablets and smartphones

You will also need to be using an up to date version of one of the following browsers: Google Chrome, Microsoft Edge, Mozilla Firefox or Safari, and have at least 2GB of RAM (more will be required for larger plans).

The Garden Journal works on any Internet-connection computer, tablet or smartphone.

Any questions? Chat to us!

Click on the Live Chat icon in the Garden Planner if you need help or have questions for our gardening experts.

Garden Planner - Live chat

Did this answer your question?